Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_control_frame_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE * | pc
VALUE * | sp
rb_iseq_t * | iseq
VALUE | flag
VALUE | self
VALUE | klass
VALUE * | ep
rb_iseq_t * | block_iseq
VALUE | proc
const rb_method_entry_t * | me

## Detailed Description

Definition at line 425 of file vm_core.h.

## Field Documentation

rb_iseq_t* rb_control_frame_struct::block_iseq

Definition at line 433 of file vm_core.h.

Referenced by control_frame_dump(), fiber_init(), and vm_push_frame().

VALUE* rb_control_frame_struct::ep

Definition at line 432 of file vm_core.h.

Referenced by control_frame_dump(), errinfo_place(), fiber_init(), invoke_block_from_c(), rb_f_local_variables(), rb_iterate(), rb_vm_cbase(), rb_vm_cref(), rb_vmdebug_debug_print_register(), rb_vmdebug_stack_dump_raw(), rb_vmdebug_thread_dump_state(), vm_call_method(), VM_CF_LEP(), vm_cref_push(), vm_exec(), vm_get_ev_const(), vm_make_env_each(), vm_make_env_object(), vm_push_frame(), vm_rewrite_ep_in_errinfo(), vm_search_superclass(), vm_set_eval_stack(), and vm_throw().

VALUE rb_control_frame_struct::flag

Definition at line 429 of file vm_core.h.

Referenced by fiber_init(), vm_call0_body(), vm_get_ruby_level_caller_cfp(), and vm_push_frame().

rb_iseq_t* rb_control_frame_struct::iseq

Definition at line 428 of file vm_core.h.

Referenced by bt_iter_iseq(), collect_caller_bindings_iseq(), control_frame_dump(), current_method_entry(), errinfo_place(), eval_string_with_cref(), fiber_init(), fill_path_and_lineno(), frame_called_id(), frame_func_id(), Init_VM(), method_entry_of_iseq(), oldbt_iter_iseq(), rb_add_method(), rb_binding_new_with_cfp(), rb_current_realfilepath(), rb_f_local_variables(), rb_sourcefile(), rb_sourcefilename(), rb_thread_current_status(), rb_thread_mark(), rb_vm_cbase(), rb_vm_control_frame_id_and_class(), rb_vm_cref(), rb_vm_get_binding_creatable_next_cfp(), rb_vm_get_ruby_level_next_cfp(), rb_vm_get_sourceline(), rb_vm_set_progname(), rb_vmdebug_debug_print_pre(), rb_vmdebug_debug_print_register(), update_coverage(), vm_base_ptr(), vm_call_method(), vm_call_super(), vm_cref_push(), vm_exec(), vm_get_ruby_level_caller_cfp(), vm_make_env_each(), vm_push_frame(), vm_rewrite_ep_in_errinfo(), vm_search_superclass(), and vm_throw().

VALUE rb_control_frame_struct::klass

Definition at line 431 of file vm_core.h.

Referenced by fiber_init(), Init_VM(), rb_thread_mark(), vm_call_super(), vm_exec(), vm_get_iclass(), vm_push_frame(), and vm_search_superclass().

const rb_method_entry_t* rb_control_frame_struct::me

Definition at line 435 of file vm_core.h.

Referenced by control_frame_dump(), fiber_init(), frame_called_id(), frame_func_id(), method_entry_of_iseq(), rb_iterate(), rb_raise_jump(), rb_thread_current_status(), rb_thread_mark(), rb_vm_control_frame_id_and_class(), top_using(), vm_call_method(), vm_call_super(), vm_exec(), vm_push_frame(), and vm_search_superclass().

VALUE* rb_control_frame_struct::pc

Definition at line 426 of file vm_core.h.

Referenced by bt_iter_iseq(), control_frame_dump(), fiber_init(), Init_VM(), oldbt_iter_iseq(), rb_thread_current_status(), rb_vm_get_sourceline(), rb_vmdebug_debug_print_pre(), rb_vmdebug_debug_print_register(), rb_vmdebug_thread_dump_state(), vm_exec(), vm_exec_core(), vm_normal_frame(), vm_push_frame(), and vm_throw().

VALUE rb_control_frame_struct::proc

Definition at line 434 of file vm_core.h.

Referenced by fiber_init(), rb_thread_mark(), and vm_push_frame().

VALUE rb_control_frame_struct::self

Definition at line 430 of file vm_core.h.

Referenced by check_funcall_callable(), collect_caller_bindings_cfunc(), collect_caller_bindings_iseq(), control_frame_dump(), fiber_init(), Init_VM(), rb_call(), rb_iterate(), rb_raise_jump(), rb_thread_mark(), rb_threadptr_execute_interrupts(), setup_exception(), vm_call_method(), vm_call_super(), vm_exec(), vm_get_ev_const(), vm_make_env_each(), and vm_push_frame().

VALUE* rb_control_frame_struct::sp

Definition at line 427 of file vm_core.h.

Referenced by cont_capture(), control_frame_dump(), fiber_init(), invoke_block_from_c(), rb_thread_mark(), rb_vm_call_cfunc(), rb_vmdebug_debug_print_register(), rb_vmdebug_stack_dump_raw(), rb_vmdebug_thread_dump_state(), vm_base_ptr(), vm_call0_body(), vm_call0_cfunc_with_frame(), vm_call_attrset(), vm_call_bmethod(), vm_call_cfunc_with_frame(), vm_call_iseq_setup(), vm_call_iseq_setup_normal(), vm_call_iseq_setup_tailcall(), vm_call_ivar(), vm_call_opt_call(), vm_caller_setup_args(), vm_exec(), vm_expandarray(), vm_push_frame(), vm_set_eval_stack(), vm_set_top_stack(), and vm_yield_with_cfunc().

The documentation for this struct was generated from the following file:

- vm_core.h